Bug 473754 - (nopaste) Review Request: nopaste - Command-line interface to rafb.net/paste
Review Request: nopaste - Command-line interface to rafb.net/paste
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 04:31 EST by Philipp Baum
Modified: 2009-01-16 18:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 18:45:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Philipp Baum 2008-11-30 04:31:43 EST
Spec URL: http://thinkcoding.org/Fedora/nopaste.spec
SRPM URL: http://thinkcoding.org/Fedora/nopaste-2835-1.fc10.src.rpm

This is a simple script to facilitate sharing text through 
http://rafb.net/paste/. Like most UNIX utilities, it can take 
stdin or files on the command-line. Additionally nopaste can 
use the X cut buffer for input, designed to be used with a 
window-manager key binding or panel launcher.
The resulting URLs are printed to stdout and additionally 
placed in the X cut buffer for quick pasting. 

I still need a Sponsor
Comment 1 Simon 2008-11-30 04:44:33 EST
first package review of phil is:
Bug: https://bugzilla.redhat.com/show_bug.cgi?id=469585 moon-buggy
the package is assigned to nobody.
Comment 2 Simon 2008-11-30 08:01:48 EST
[cassmodiah@schafwiese ~]$ yum deplist rpmbuild/RPMS/noarch/nopaste-2835-1.fc10.noarch.rpm 
Suche Abhängigkeiten:
Paket: nopaste.noarch 2835-1.fc10
  Abhängigkeit: /usr/bin/ruby
   provider: ruby.i386 1.8.6.287-2.fc10
rpm will requires ruby by reading of from nopaste script.
this is okay, the further requires will be shipped with ruby itself.


[cassmodiah@schafwiese ~]$ rpmdev-rpmlintsetuptree 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
nopaste.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
no documentation, okay, you haven't one.

http://koji.fedoraproject.org/koji/taskinfo?taskID=964022
This is frightfully boring.
Comment 3 Fabian Affolter 2008-12-26 12:14:31 EST
This is only an informal review because I can't sponsor you.

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: F9/i386
 [!] Rpmlint output:
     Source RPM:
     [fab@laptop024 SRPMS]$ rpmlint nopaste-2835-1.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s): [1]
     [fab@laptop024 noarch]$ rpmlint nopaste*
     nopaste.noarch: W: no-documentation
     1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [-] Spec file is legible and written in American English.
 [-] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: 
     Build source:    
 [x] Package is not known to require ExcludeArch.
 [-] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [-] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install.
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary RPMs on all supported architectures.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=1022395
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

[1] Remove the %doc in the %file section
[2] The header of the script says '# Released under the GNU General Public License v2'. For me this is not looking like GPLv2+.
Comment 4 Fabian Affolter 2008-12-26 12:14:52 EST
 [x] Package functions as described.
Comment 6 Fabian Affolter 2009-01-10 07:57:53 EST
My review from Comment #3 is no longer just informal.

Simon is the new submitter and already sponsored.

(In reply to comment #3)
> 
> [1] Remove the %doc in the %file section
> [2] The header of the script says '# Released under the GNU General Public
> License v2'. For me this is not looking like GPLv2+.

Both open issues are fixed.  I see no further blocker, package APPROVED
Comment 7 Simon 2009-01-10 08:57:30 EST
thank you fabian!

New Package CVS Request
=======================
Package Name: nopaste
Short Description: Command-line interface to rafb.net/paste
Owners: cassmodiah fab
Branches: F-9 F-10 
InitialCC:
Comment 8 Kevin Fenzi 2009-01-11 11:54:22 EST
In reply to comment #5: 

> Phil has given up

Have you communicated with Phil? Or just assumed they didn't have time to move forward?

Typically we would want to close this if that was the case, and file a new review with the new submitter.
Comment 9 Simon 2009-01-11 15:04:51 EST
i chatted with him. a few days ago. He gave up the whole "fedora contributor idea". he dropped moon-buggy #469585 as well..

for one little adjustment a new bug?! 
Okay!!! Next time, I will do this.
Comment 10 Simon 2009-01-11 16:04:15 EST
New Package CVS Request
=======================
Package Name: nopaste
Short Description: Command-line interface to rafb.net/paste
Owners: cassmodiah fab
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-01-13 15:34:27 EST
ok. 

cvs done.
Comment 12 Fedora Update System 2009-01-15 14:23:47 EST
nopaste-2835-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nopaste-2835-2.fc10
Comment 13 Fedora Update System 2009-01-15 14:23:51 EST
nopaste-2835-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nopaste-2835-2.fc9
Comment 14 Fedora Update System 2009-01-16 18:45:26 EST
nopaste-2835-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-01-16 18:46:43 EST
nopaste-2835-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.